<div class="p-3">
  <p>Montant désiré :</p>
  <mat-form-field>
    <input matInput type="number" [formControl]="amountControl">
    <mat-icon matSuffix>euro</mat-icon>
  </mat-form-field>
  <div>
    <button mat-raised-button color="primary" (click)="searchCombinations()">VALIDER</button>
    <div *ngIf="amountControl.value && response" class="mt-2">
      <button mat-raised-button color="accent" class="mr-2" (click)="nextAmount()">Montant suivant</button>
      <button mat-raised-button color="accent" (click)="previousAmount()">Montant précédent</button>
    </div>
  </div>
  <div *ngIf="response" class="mt-2">
    <ng-container *ngIf="response.equal; else notEqual">
      <p>Votre montant est composé des cartes suivantes</p>
      <ul>
        <li *ngFor="let c of response.equal.cards">{{ c }} €</li>
      </ul>
    </ng-container>
    <ng-template #notEqual>
      <p>Le montant saisi ne nous permet pas d'obtenir une combinaison de cartes.</p>
      <p>Utilisez les boutons "Montant suivant" et "Montant précédent" pour trouver un montant qui fonctionne.</p>
    </ng-template>
  </div>
</div>
